terraform {               # Define Hetzner cloud provider
  required_providers {
    hcloud = {
      source = "hetznercloud/hcloud"
    }
  }
  required_version = ">= 0.13"
}

provider "hcloud" {       # Configure the Hetzner Cloud API token
  token = "your_api_token_goes_here"
}

resource "hcloud_server" "helloServer" {  # Create a server
  name         = "hello"
  image        =  "debian-12"
  server_type  =  "cx11"
  location     =  "nbg1"
}